/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:21:54 GMT 2022
 */

package ir.ramtung.impl2;

import org.junit.Test;
import static org.junit.Assert.*;
import ir.ramtung.impl2.Reference;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Reference_ESTest extends Reference_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Reference reference0 = new Reference("S]9Kji=oM", 0);
      int int0 = reference0.calculatePenalty((-3));
      assertEquals(5, reference0.getDay());
      assertEquals(5000, int0);
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Reference reference0 = new Reference("S]9Kji=oM", 0);
      int int0 = reference0.calculatePenalty(0);
      assertEquals(5, reference0.getDay());
      assertEquals(5000, int0);
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      Reference reference0 = new Reference("S]9Kji=oM", 0);
      int int0 = reference0.calculatePenalty((-1119));
      assertEquals(5, reference0.getDay());
      assertEquals(7000, int0);
  }
}
